Name:			python-serial
Version:		2.6
Release:		%mkrel 1

Summary:	Python serial port extension
License:	Python
Group:          Development/Python
URL:		http://pyserial.sourceforge.net
Source0:	http://downloads.sourceforge.net/pyserial/pyserial-%{version}.tar.xz
%define minversion 2.2
BuildRequires:	libpython-devel >= %minversion
BuildRoot:	%{_tmppath}/%{name}-%{version}
Requires:	python
Obsoletes:	pyserial < %{version}-%{release}
Provides:	pyserial = %{version}-%{release}

%description
This module encapsulates the access for the serial port.
It provides backends for Python running on Windows, Linux, BSD (possibly any 
POSIX compilant system) and Jython. The module named "serial" automatically 
selects the appropriate backend.

%prep
%setup -q -n pyserial-%{version}

%build
#perl -pi -e 's/\r\n/\n/;' * examples/* serial/*
chmod 755 examples/*.py
perl -pi -e "s/#! python/#!\/usr\/bin\/env python/" serial/serialutil.py\
 serial/serialcli.py
perl -pi -e "s/#!jython/#!\/usr\/bin\/env jython/" serial/serialjava.py
#python setup.py build

%install
rm -rf %{buildroot}
python setup.py install --root %{buildroot}


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
/*

%changelog
* Sat Sep 07 2014 billybot <billybot> 2.6-1pclos2013
- update

* Sun Aug 11 2013 billybot <billybot> 2.4-4pclos2013
- update

* Thu Sep 02 2010 Texstar <texstar at gmail.com> 2.4-3pclos2011
- rebuild for python 2.6.6

* Wed Aug 18 2010 pcserver <pcserver at hush.com> 2.4-2pclos2010
- update package

